Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.saxon.s9api
Enum Axis

    java.lang.Object
      java.lang.Enum<Axis>
          net.sf.saxon.s9api.Axis

All Implemented Interfaces:
  Serializable, Comparable<Axis>

    public enum Axis

extends Enum<Axis>

This is an enumeration class containaing constants representing the thirteen XPath axes

Enum Constant Summary
`ANCESTOR`
`ANCESTOR_OR_SELF`
`ATTRIBUTE`
`CHILD`
`DESCENDANT`
`DESCENDANT_OR_SELF`
`FOLLOWING`
`FOLLOWING_SIBLING`
`NAMESPACE`
`PARENT`
`PRECEDING`
`PRECEDING_SIBLING`
`SELF`

Method Summary
`byte` | `getAxisNumber()` Get the axis number, as defined in class `Axis`
`static Axis` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Axis[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANCESTOR

    public static final Axis ANCESTOR

### ANCESTOR_OR_SELF

    public static final Axis ANCESTOR_OR_SELF

### ATTRIBUTE

    public static final Axis ATTRIBUTE

### CHILD

    public static final Axis CHILD

### DESCENDANT

    public static final Axis DESCENDANT

### DESCENDANT_OR_SELF

    public static final Axis DESCENDANT_OR_SELF

### FOLLOWING

    public static final Axis FOLLOWING

### FOLLOWING_SIBLING

    public static final Axis FOLLOWING_SIBLING

### PARENT

    public static final Axis PARENT

### PRECEDING

    public static final Axis PRECEDING

### PRECEDING_SIBLING

    public static final Axis PRECEDING_SIBLING

### SELF

    public static final Axis SELF

### NAMESPACE

    public static final Axis NAMESPACE

Method Detail

### values

    public static Axis[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Axis c : Axis.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Axis valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAxisNumber

    public byte getAxisNumber()

  Get the axis number, as defined in class `Axis`

  Returns:
    the axis number

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.